<?xml version="1.0" encoding="utf-8"?>

<android.support.v7.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    android:id="@+id/card_view"
    android:layout_width="match_parent"
    android:layout_height="225dp"
    android:layout_gravity="center"
    android:layout_marginBottom="8dp">

    <android.support.constraint.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">


        <android.support.constraint.ConstraintLayout
            android:id="@+id/relativeLayout2"
            android:layout_width="match_parent"
            android:layout_height="125dp">

            <ImageView
                android:id="@+id/interest_point_image_preview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop"
                card_view:layout_constraintStart_toStartOf="parent"
                card_view:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/interest_point_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="#77000000"
                android:padding="4dp"
                android:textAllCaps="true"
                android:textAppearance="@style/Base.TextAppearance.AppCompat.Large"
                android:textColor="@color/textColorPrimary"
                card_view:layout_constraintBottom_toBottomOf="@+id/interest_point_image_preview"
                card_view:layout_constraintEnd_toEndOf="parent"
                card_view:layout_constraintStart_toStartOf="parent" />

        </android.support.constraint.ConstraintLayout>

        <TextView
            android:id="@+id/interest_point_description"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:ellipsize="end"
            android:maxLines="2"
            android:padding="4dp"
            android:textColor="@color/textColorSecondary"
            card_view:layout_constraintBottom_toTopOf="@+id/relativeLayout3"
            card_view:layout_constraintEnd_toEndOf="parent"
            card_view:layout_constraintStart_toStartOf="parent"
            card_view:layout_constraintTop_toBottomOf="@+id/relativeLayout2" />

        <android.support.constraint.ConstraintLayout
            android:id="@+id/relativeLayout3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="4dp"
            card_view:layout_constraintBottom_toBottomOf="parent">

            <Button
                android:id="@+id/interest_point_button_details"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:padding="8dp"
                android:text="@string/button_details"
                android:textAllCaps="true"
                android:textColor="@color/textColorSecondary"
                card_view:layout_constraintStart_toStartOf="parent"
                card_view:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/interest_point_button_show"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:background="@android:color/transparent"
                android:padding="8dp"
                android:text="@string/button_show"
                android:textAllCaps="true"
                android:textColor="@color/colorPrimary"
                card_view:layout_constraintStart_toEndOf="@+id/interest_point_button_details"
                card_view:layout_constraintTop_toTopOf="parent" />

        </android.support.constraint.ConstraintLayout>
    </android.support.constraint.ConstraintLayout>
</android.support.v7.widget.CardView>